From: Stuart Prescott <stuart@debian.org>
Date: Wed, 12 Feb 2020 21:33:14 +0100
Subject: Configure with Python 3

---
 configure.ac | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/configure.ac b/configure.ac
index 4965ac4..316616b 100644
--- a/configure.ac
+++ b/configure.ac
@@ -584,7 +584,7 @@ if test x$PYTHONPATH = xnone; then
   pyecasound_support=none
   python_install_prefix=""
 else
-  python_install_prefix=`python -c "import sys; print (sys.prefix)"`
+  python_install_prefix=`python3 -c "import sys; print (sys.prefix)"`
 fi
 
 dnl --
@@ -602,7 +602,7 @@ then
         pyecasound_support=none
 	AC_MSG_RESULT([none])
 	if test x$PYTHONPATH != xnone; then
-	    python_prefix_tmp=`python -c "import sys; print (sys.prefix + '/lib/python' + sys.version[[:3]])"`
+	    python_prefix_tmp=`python3 -c "import sys; print (sys.prefix + '/lib/python' + sys.version[[:3]])"`
 	else
 	    python_prefix_tmp="DIR"
 	fi
@@ -617,7 +617,7 @@ then
     else
         pymoddirs="/usr/local/lib /usr/lib"
         dnl -- Double-brackets to espace the real brackets
-        pymoddirsmore=`python -c "import sys; print (sys.prefix + '/lib/python' + sys.version[[:3]])"`
+        pymoddirsmore=`python3 -c "import sys; print (sys.prefix + '/lib/python' + sys.version[[:3]])"`
         pymoddirs="$pymoddirs $pymoddirsmore"
 	AC_MSG_RESULT($pymoddirs)
     fi
@@ -650,10 +650,10 @@ AC_ARG_ENABLE(python-force-site-packages,
 	      ])
             
 AC_FIND_FILE(lib-dynload,$pymoddirs,ECA_S_PYTHON_MODULES)
-dnl Use site-packages in preference if it is there.
-if test -d $ECA_S_PYTHON_MODULES/site-packages -o "X$python_force_site_packages" = "Xyes"
+dnl Use dist-packages in preference if it is there.
+if test -d $ECA_S_PYTHON_MODULES/dist-packages -o "X$python_force_site_packages" = "Xyes"
 then
-    ECA_S_PYTHON_MODULES=$ECA_S_PYTHON_MODULES/site-packages
+    ECA_S_PYTHON_MODULES=$ECA_S_PYTHON_MODULES/dist-packages
     ECA_S_PYTHON_DLMODULES=$ECA_S_PYTHON_MODULES
 else
     ECA_S_PYTHON_DLMODULES=$ECA_S_PYTHON_MODULES/lib-dynload
